Package com.orbbec.obsensor

## Enum OBCmdVersion

- java.lang.Object
- - java.lang.Enum<OBCmdVersion>
  - - com.orbbec.obsensor.OBCmdVersion

All Implemented Interfaces:
  `java.io.Serializable`, `java.lang.Comparable<OBCmdVersion>`

    public enum OBCmdVersion
    extends java.lang.Enum<OBCmdVersion>

Command version associate with property id

### Enum Constant Summary

Enum Constants
`CMD_VERSION_V0` version 1.0
`CMD_VERSION_V1` version 2.0
`CMD_VERSION_V2` version 3.0
`CMD_VERSION_V3` version 4.0
`OB_CMD_VERSION_INVALID` Invalid version
`OB_CMD_VERSION_NOVERSION`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`static OBCmdVersion` `get​(int value)` Get the cmd version corresponding to the specified index
`int` `value()` Get the index corresponding to the cmd version
`static OBCmdVersion` `valueOf​(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static OBCmdVersion[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### CMD_VERSION_V0

    public static final OBCmdVersion CMD_VERSION_V0

version 1.0

#### CMD_VERSION_V1

    public static final OBCmdVersion CMD_VERSION_V1

version 2.0

#### CMD_VERSION_V2

    public static final OBCmdVersion CMD_VERSION_V2

version 3.0

#### CMD_VERSION_V3

    public static final OBCmdVersion CMD_VERSION_V3

version 4.0

#### OB_CMD_VERSION_NOVERSION

    public static final OBCmdVersion OB_CMD_VERSION_NOVERSION

#### OB_CMD_VERSION_INVALID

    public static final OBCmdVersion OB_CMD_VERSION_INVALID

Invalid version

### Method Detail

#### values

    public static OBCmdVersion[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (OBCmdVersion c : OBCmdVersion.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static OBCmdVersion valueOf​(java.lang.String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
  `java.lang.NullPointerException` - if the argument is null

#### value

    public int value()

Get the index corresponding to the cmd version

Returns:
  index value

#### get

    public static OBCmdVersion get​(int value)

Get the cmd version corresponding to the specified index

Parameters:
  `value` - index value
Returns:
  cmd version